/*
 * Coscine Web API
 *
 * Coscine (short for <b>CO</b>llaborative <b>SC</b>ientific <b>IN</b>tegration <b>E</b>nvironment) is the research data management platform for your research project.
 *
 * The version of the OpenAPI document: 2.0
 * Contact: servicedesk@itc.rwth-aachen.de
 * Generated by: https://github.com/openapitools/openapi-generator.git
 */

using System;
using System.IO;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Reflection;
using RestSharp;
using Xunit;

using Coscine.ApiClient.Core.Client;
using Coscine.ApiClient.Core.Api;
// uncomment below to import models
//using Coscine.ApiClient.Core.Model;

namespace Coscine.ApiClient.Core.Test.Api
{
    /// <summary>
    ///  Class for testing ProjectApi
    /// </summary>
    /// <remarks>
    /// This file is automatically generated by OpenAPI Generator (https://openapi-generator.tech).
    /// Please update the test case below to test the API endpoint.
    /// </remarks>
    public class ProjectApiTests : IDisposable
    {
        private ProjectApi instance;

        public ProjectApiTests()
        {
            instance = new ProjectApi();
        }

        public void Dispose()
        {
            // Cleanup when everything is done.
        }

        /// <summary>
        /// Test an instance of ProjectApi
        /// </summary>
        [Fact]
        public void InstanceTest()
        {
            // TODO uncomment below to test 'IsType' ProjectApi
            //Assert.IsType<ProjectApi>(instance);
        }

        /// <summary>
        /// Test ApiV2ProjectsOptions
        /// </summary>
        [Fact]
        public void ApiV2ProjectsOptionsTest()
        {
            // TODO uncomment below to test the method and replace null with proper value
            //instance.ApiV2ProjectsOptions();
        }

        /// <summary>
        /// Test CreateProject
        /// </summary>
        [Fact]
        public void CreateProjectTest()
        {
            // TODO uncomment below to test the method and replace null with proper value
            //ProjectForCreationDto? projectForCreationDto = null;
            //var response = instance.CreateProject(projectForCreationDto);
            //Assert.IsType<ProjectDtoResponse>(response);
        }

        /// <summary>
        /// Test DeleteProject
        /// </summary>
        [Fact]
        public void DeleteProjectTest()
        {
            // TODO uncomment below to test the method and replace null with proper value
            //string projectId = null;
            //instance.DeleteProject(projectId);
        }

        /// <summary>
        /// Test GetProject
        /// </summary>
        [Fact]
        public void GetProjectTest()
        {
            // TODO uncomment below to test the method and replace null with proper value
            //string projectId = null;
            //bool? includeSubProjects = null;
            //var response = instance.GetProject(projectId, includeSubProjects);
            //Assert.IsType<ProjectDtoResponse>(response);
        }

        /// <summary>
        /// Test GetProjects
        /// </summary>
        [Fact]
        public void GetProjectsTest()
        {
            // TODO uncomment below to test the method and replace null with proper value
            //bool? includeOrganizations = null;
            //bool? topLevel = null;
            //int? pageNumber = null;
            //int? pageSize = null;
            //string? orderBy = null;
            //var response = instance.GetProjects(includeOrganizations, topLevel, pageNumber, pageSize, orderBy);
            //Assert.IsType<ProjectDtoPagedResponse>(response);
        }

        /// <summary>
        /// Test UpdateProject
        /// </summary>
        [Fact]
        public void UpdateProjectTest()
        {
            // TODO uncomment below to test the method and replace null with proper value
            //string projectId = null;
            //ProjectForUpdateDto? projectForUpdateDto = null;
            //instance.UpdateProject(projectId, projectForUpdateDto);
        }
    }
}
